var ExtraAliquot = function()
{
	var aliquot = {};
	var debug = 0;
	var well;
	
	// Page initialization
	aliquot.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnSave', aliquot.saveDetails);
		
		Events.addEventHandler('volume', 'keypress', Events.numberOnly);
		Events.doOnEnter('volume', aliquot.saveDetails);
		
		var wellId = Data.int('page-data', 'well-id');
		var frm = document.forms['details'];
		well = window.opener.RnaQcImport.getBioWellById(wellId);

		frm.volume.value = well.extraVolume || 0;
		frm.comment.value = well.comment || '';

		frm.volume.focus();
		frm.volume.select();
		setTimeout(aliquot.checkForm, 100);
	}
	
	aliquot.checkForm = function()
	{
		var frm = document.forms['details'];

		var volume = frm.volume.value;
		if (volume && !(parseFloat(volume) >= 0))
		{
			Forms.showNotification('volume', 'Invalid value for volume.');
			return false;
		}
		return true;
	}

	aliquot.saveDetails = function()
	{
		if (!aliquot.checkForm()) return;
		var frm = document.forms['details'];
		
		var volume = parseFloat(frm.volume.value) || 0;
		well.extraVolume = volume;
		well.comment = frm.comment.value;
		window.opener.Events.sendChangeEvent('well-'+well.id);
		window.close();
	}

	
	return aliquot;
}();

Doc.onLoad(ExtraAliquot.initPage);

